[metadata]
name = Mopidy-MPD
version = 3.0.0
url = https://github.com/mopidy/mopidy-mpd
author = Stein Magnus Jodal
author_email = stein.magnus@jodal.no
license = Apache License, Version 2.0
license_file = LICENSE
description = Mopidy extension for controlling Mopidy from MPD clients
long_description = file: README.rst
classifiers = 
	Environment :: No Input/Output (Daemon)
	Intended Audience :: End Users/Desktop
	License :: OSI Approved :: Apache Software License
	Operating System :: OS Independent
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Topic :: Multimedia :: Sound/Audio :: Players

[options]
zip_safe = False
include_package_data = True
packages = find:
python_requires = >= 3.7
install_requires = 
	Mopidy >= 3.0.0
	Pykka >= 2.0.1
	setuptools

[options.extras_require]
lint = 
	black
	check-manifest
	flake8
	flake8-bugbear
	flake8-import-order
	isort[pyproject]
release = 
	twine
	wheel
test = 
	pytest
	pytest-cov
dev = 
	%(lint)s
	%(release)s
	%(test)s

[options.packages.find]
exclude = 
	tests
	tests.*

[options.entry_points]
mopidy.ext = 
	mpd = mopidy_mpd:Extension

[flake8]
application-import-names = mopidy_mpd, tests
max-line-length = 80
exclude = .git, .tox, build
select = 
	C, E, F, W
	B
	B950
	N
ignore = 
	E203
	E501
	W503
	B305

[egg_info]
tag_build = 
tag_date = 0

